import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusParkingGroup } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2022-06-08 14:18
 */
interface BusParkingGroupCU extends ConditionUtil<BusParkingGroupCU> {
    ID: FieldUtil<BusParkingGroupCU>;
    GROUP_NAME: FieldUtil<BusParkingGroupCU>;
    GROUP_LOGO: FieldUtil<BusParkingGroupCU>;
    GROUP_TPL: FieldUtil<BusParkingGroupCU>;
    GROUP_APP_ID: FieldUtil<BusParkingGroupCU>;
    ORD_QUERY_BTM_HTML: FieldUtil<BusParkingGroupCU>;
    SHARE_QR_CODE_URL: FieldUtil<BusParkingGroupCU>;
    IS_SUB_MERCHANT: FieldUtil<BusParkingGroupCU>;
    REMARK: FieldUtil<BusParkingGroupCU>;
    CREATE_TIME: FieldUtil<BusParkingGroupCU>;
    UPDATE_TIME: FieldUtil<BusParkingGroupCU>;
}
declare class BusParkingGroupMU extends TableUtilImpl<BusParkingGroupCU, BusParkingGroup> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusParkingGroupCU;
    static get ID(): FieldUtil<BusParkingGroupCU>;
    static get GROUP_NAME(): FieldUtil<BusParkingGroupCU>;
    static get GROUP_LOGO(): FieldUtil<BusParkingGroupCU>;
    static get GROUP_TPL(): FieldUtil<BusParkingGroupCU>;
    static get GROUP_APP_ID(): FieldUtil<BusParkingGroupCU>;
    static get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingGroupCU>;
    static get SHARE_QR_CODE_URL(): FieldUtil<BusParkingGroupCU>;
    static get IS_SUB_MERCHANT(): FieldUtil<BusParkingGroupCU>;
    static get REMARK(): FieldUtil<BusParkingGroupCU>;
    static get CREATE_TIME(): FieldUtil<BusParkingGroupCU>;
    static get UPDATE_TIME(): FieldUtil<BusParkingGroupCU>;
    get ID(): FieldUtil<BusParkingGroupCU>;
    get GROUP_NAME(): FieldUtil<BusParkingGroupCU>;
    get GROUP_LOGO(): FieldUtil<BusParkingGroupCU>;
    get GROUP_TPL(): FieldUtil<BusParkingGroupCU>;
    get GROUP_APP_ID(): FieldUtil<BusParkingGroupCU>;
    get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingGroupCU>;
    get SHARE_QR_CODE_URL(): FieldUtil<BusParkingGroupCU>;
    get IS_SUB_MERCHANT(): FieldUtil<BusParkingGroupCU>;
    get REMARK(): FieldUtil<BusParkingGroupCU>;
    get CREATE_TIME(): FieldUtil<BusParkingGroupCU>;
    get UPDATE_TIME(): FieldUtil<BusParkingGroupCU>;
}
export { BusParkingGroupMU, BusParkingGroupCU };
